# List hotel theme types

This endpoint returns a list of hotel theme types (in English).

Endpoint: GET /demand-api-v2-compatible/hotelThemeTypes
Version: 1.2.2
Security: BearerAuth

## Query parameters:

  - `hotelThemeTypeInputDTO` (object, required)

## Header parameters:

  - `Accept` (string)

## Response 200 fields (application/json):

  - `meta` (object)

  - `meta.ruid` (string)

  - `result` (array)

  - `result.theme_id` (integer)
    Unique ID for this theme.

  - `result.name` (string)
    Name of the theme.
    Example: Beach/Seaside

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors that occurred during request processing.

  - `errors.id` (string)
    Machine-readable error identifier.
    Example: invalid_parameter

  - `errors.name` (string)
    Human-readable error name.
    Example: Invalid Value

  - `errors.message` (string)
    Detailed error message explaining what went wrong.
    Example: The request contains an invalid parameter.

  - `meta` (object)

  - `meta.ruid` (string)

  - `meta.account_id` (string)
    Account ID that triggered request, useful for debugging and support.
    Example: 123432

## Response 500 fields (application/json):

  - `errors` (array)
    List of errors that occurred during request processing.

  - `errors.id` (string)
    Machine-readable error identifier.
    Example: invalid_parameter

  - `errors.name` (string)
    Human-readable error name.
    Example: Invalid Value

  - `errors.message` (string)
    Detailed error message explaining what went wrong.
    Example: The request contains an invalid parameter.

  - `meta` (object)

  - `meta.ruid` (string)

  - `meta.account_id` (string)
    Account ID that triggered request, useful for debugging and support.
    Example: 123432

